Create a Coaching Appointment
curl --request POST \
--url https://schoolmaker.co/api/v1/coachings/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type_id": "<string>",
"date": "<string>",
"duration_hours": 123,
"duration_minutes": 123,
"name": "<string>",
"description": "<string>",
"is_published": true,
"member_emails": [
"<string>"
],
"user_emails": [
"<string>"
]
}
'import requests
url = "https://schoolmaker.co/api/v1/coachings/appointments"
payload = {
"type_id": "<string>",
"date": "<string>",
"duration_hours": 123,
"duration_minutes": 123,
"name": "<string>",
"description": "<string>",
"is_published": True,
"member_emails": ["<string>"],
"user_emails": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type_id: '<string>',
date: '<string>',
duration_hours: 123,
duration_minutes: 123,
name: '<string>',
description: '<string>',
is_published: true,
member_emails: ['<string>'],
user_emails: ['<string>']
})
};
fetch('https://schoolmaker.co/api/v1/coachings/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appointment_id": "<string>"
}Coachings
Create a Coaching Appointment
Creates an appointment with selected members and coaches.
POST
/
coachings
/
appointments
Create a Coaching Appointment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Appointment created
The ID of the created appointment
Was this page helpful?
⌘I